package domain

type TmallItemSeriesItemseriesInsertorupdateItemSeriesRequest struct {
	/*
	   市场 defalutValue:tmall    */
	Market *string `json:"market,omitempty" `

	/*
	   类目id     */
	CatId *int64 `json:"cat_id,omitempty" `

	/*
	   系列名称     */
	SeriesName *string `json:"series_name,omitempty" `

	/*
	   系列描述     */
	SeriesDesc *string `json:"series_desc,omitempty" `

	/*
	   系列id     */
	SeriesId *int64 `json:"series_id,omitempty" `

	/*
	   系列状态     */
	Status *int64 `json:"status,omitempty" `

	/*
	   品牌值,当品牌作为聚合属性时生效     */
	BrandName *string `json:"brand_name,omitempty" `
}

func (s *TmallItemSeriesItemseriesInsertorupdateItemSeriesRequest) SetMarket(v string) *TmallItemSeriesItemseriesInsertorupdateItemSeriesRequest {
	s.Market = &v
	return s
}
func (s *TmallItemSeriesItemseriesInsertorupdateItemSeriesRequest) SetCatId(v int64) *TmallItemSeriesItemseriesInsertorupdateItemSeriesRequest {
	s.CatId = &v
	return s
}
func (s *TmallItemSeriesItemseriesInsertorupdateItemSeriesRequest) SetSeriesName(v string) *TmallItemSeriesItemseriesInsertorupdateItemSeriesRequest {
	s.SeriesName = &v
	return s
}
func (s *TmallItemSeriesItemseriesInsertorupdateItemSeriesRequest) SetSeriesDesc(v string) *TmallItemSeriesItemseriesInsertorupdateItemSeriesRequest {
	s.SeriesDesc = &v
	return s
}
func (s *TmallItemSeriesItemseriesInsertorupdateItemSeriesRequest) SetSeriesId(v int64) *TmallItemSeriesItemseriesInsertorupdateItemSeriesRequest {
	s.SeriesId = &v
	return s
}
func (s *TmallItemSeriesItemseriesInsertorupdateItemSeriesRequest) SetStatus(v int64) *TmallItemSeriesItemseriesInsertorupdateItemSeriesRequest {
	s.Status = &v
	return s
}
func (s *TmallItemSeriesItemseriesInsertorupdateItemSeriesRequest) SetBrandName(v string) *TmallItemSeriesItemseriesInsertorupdateItemSeriesRequest {
	s.BrandName = &v
	return s
}
